package com.clx.performance.controller.app;

import com.clx.performance.app.SaveOrderChildParam;
import com.clx.performance.service.OrderChildService;
import com.clx.performance.app.SaveOrderChildVo;
import com.msl.common.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: aiqingguo
 * @Description: 运单
 * @Date: 2023-8-21 12:10:16
 * @Version: 1.0
 */

@Slf4j
@RestController
@RequestMapping(value="/app/driver/orderchild")
@Validated
@Api(tags = "APP-运单")
@AllArgsConstructor
public class DriverOrderChildController {

    private final OrderChildService orderChildService;

    @ApiOperation(value = "接单", notes = "<br>By:艾庆国")
    @PostMapping("/saveOrderChild")
    public Result<SaveOrderChildVo> saveOrderChild(@RequestBody @Validated SaveOrderChildParam param) {

        return Result.ok(orderChildService.saveOrderChild(param));
    }

}
